Loading...
Searching...
No Matches
casacore::MSSSpwErrorHandler Class Reference
ms package (libcasa_ms) » MSSel_module

More...

`#include <MSSSpwErrorHandler.h>`

## Public Member Functions

| MSSSpwErrorHandler ()
| The default constructor generates the message "Table error".
virtual | ~MSSSpwErrorHandler ()
String | constructMessage ()
void | handleError (MSSelectionError &mssErrorType)
Public Member Functions inherited from casacore::MSSelectionErrorHandler
| MSSelectionErrorHandler ()
| The default constructor generates the message "Table error".
| MSSelectionErrorHandler (const MSSelectionErrorHandler &that)
MSSelectionErrorHandler & | operator= (const MSSelectionErrorHandler &that)
virtual MSSelectionErrorHandler * | clone ()
virtual | ~MSSelectionErrorHandler ()
virtual void | reportError (const char *token, const String source=String(""))
virtual void | reset ()
const std::vector< String > & | getMessages () const
Int | nMessages () const

## Additional Inherited Members

Protected Attributes inherited from casacore::MSSelectionErrorHandler
std::vector< String > | tokenList
std::vector< String > | messageList

## Detailed Description

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN

### Synopsis

Specialization of the MSSelectionErrorHandler for SPW parser. The constructMessage() and handleError() methods are specialized here.

Definition at line 57 of file MSSSpwErrorHandler.h.

## Constructor & Destructor Documentation

## MSSSpwErrorHandler()

casacore::MSSSpwErrorHandler::MSSSpwErrorHandler | ( |  | ) |

inline

The default constructor generates the message "Table error".

Definition at line 61 of file MSSSpwErrorHandler.h.

References casacore::MSSelectionErrorHandler::MSSelectionErrorHandler().

## ~MSSSpwErrorHandler()

virtual casacore::MSSSpwErrorHandler::~MSSSpwErrorHandler | ( |  | ) |

inline virtual

Definition at line 62 of file MSSSpwErrorHandler.h.

## Member Function Documentation

## constructMessage()

String casacore::MSSSpwErrorHandler::constructMessage | ( |  | ) |

virtual

Reimplemented from casacore::MSSelectionErrorHandler.

## handleError()

void casacore::MSSSpwErrorHandler::handleError | ( | MSSelectionError & | mssErrorType | ) |

virtual

Reimplemented from casacore::MSSelectionErrorHandler.

The documentation for this class was generated from the following file:

- ms/MSSel/MSSSpwErrorHandler.h